%global momorel 1

Summary: MonoDoc module
Name: monodoc
Version: 2.0
Release: %{momorel}m%{?dist}
Group: Documentation
License: GPL
URL: http://www.mono-project.com/
Source0: http://mono.ximian.com/monobuild/preview/sources/%{name}/%{name}-%{version}.zip
#Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.zip
#NoSource: 0
Patch0: monodoc-1.2.6-monodocdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: mono-devel >= 2.0
Requires: mono-core >= 2.0
Requires: xsp >= 2.0

%description
This is the MonoDoc module.  It contains the documentation for the
Mono class libraries, tools to produce and edit the documentation, and
a documentation browser.

The documentation browser consists of a library and two front-ends: a
Gtk#-based one, and an ASP.NET-based version.

You can read documents with a web browser.
 $ cd /usr/share/doc/momodoc/web
 $ xsp
Then, access http://localhost:8080/

%prep
%setup -q
%if %{_lib} == "lib64"                                        
%patch0 -p1 -b .monodocdir~
%endif

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_datadir}/doc/monodoc/
cp -r engine/web %{buildroot}/%{_datadir}/doc/monodoc/

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mdassembler
%{_bindir}/mdcs2ecma
%{_bindir}/mdnormalizer
%{_bindir}/mdoc
%{_bindir}/mdoc-assemble
%{_bindir}/mdoc-export-html
%{_bindir}/mdoc-export-msxdoc
%{_bindir}/mdoc-update
%{_bindir}/mdoc-validate
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc

%{_prefix}/lib/mono/gac/monodoc
%dir %{_prefix}/lib/monodoc
%{_prefix}/lib/monodoc/*.exe
%{_prefix}/lib/monodoc/*.xml
%{_prefix}/lib/monodoc/*.dll
%dir %{_prefix}/lib/monodoc/sources
%{_prefix}/lib/monodoc/sources/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/monodoc/web
%{_prefix}/lib/mono/monodoc

%{_mandir}/man1/mdoc-assemble.1.*
%{_mandir}/man1/mdoc-export-html.1.*
%{_mandir}/man1/mdoc-export-msxdoc.1.*
%{_mandir}/man1/mdoc-update.1.*
%{_mandir}/man1/mdoc-validate.1.*
%{_mandir}/man1/mdoc.1.*
%{_mandir}/man5/mdoc.5.*
%{_mandir}/man1/mdnormalizer.1.*
%{_mandir}/man1/mdvalidator.1.*
%{_mandir}/man1/monodocer.1.*
%{_mandir}/man1/monodocs2html.1.*
%{_mandir}/man1/mdassembler.1.*
%{_mandir}/man1/mdcs2ecma.1.*

%changelog
* Thu Aug 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update 2.0

* Tue Jul  8 2008  Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.0107448-1m)
- update to 1.9.0107448 (svn version)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9-2m)
- rebuild against gcc43

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9-1m)
- update to 1.9

* Thu Dec 13 2007 Masanobu Sato <satoshiga@momonga-linux.or>
- (1.2.6-2m)
- change monodoc-1.2.3-monodocdir.patch to monodoc-1.2.6-monodocdir.patch

* Thu Dec 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Sun Sep  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.5-1m)
- update to 1.2.5

* Wed May 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Wed May 23 2007 Masanobu Sato <satoshiga@momonga-linux.or>
- (1.2.3-2m)
- add monodocdir patch for moving monodocdir from %{_libdir}/monodoc to %{_prefix}/lib/monodoc

* Fri Feb  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Tue Oct 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-1m)
- update to 1.1.18

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17-1m)
- update to 1.1.17

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.16-1m)
- update to 1.1.16

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.13-6m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13-5m)
- rebuild mono -> mono-core

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.13-4m)
- revised monodoc-1.1.13-pc.patch
- add monodoc-1.1.13-lib64.patch 

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org.
- (1.1.13-3m)
- add forgotton file "monodoc.dll"

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org.
- (1.1.13-2m)
- add patch0 for monodoc.pc

* Sun Jan 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13-1m)
- start.
